### Method

# Ide Settings set_double

#### Declaration

    void
    ide_settings_set_double (
      IdeSettings* self,
      const gchar* key,
      gdouble val
    )

#### Description

No description available.

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`val` | `gdouble`
| No description available.